// basic definition
// needed for multiple modules

#ifndef _BASEDEF_LOADED
#define _BASEDEF_LOADED

#include <sys/ioctl.h>
#include <linux/soundcard.h>

//===========================================================================
//
// define some common used structures / enums
//

enum RecordMode
{
   ModeMp3 =1,
   ModeWave,
   ModeOgg   // future
};

enum FilenameChangeMode
{
   FilenameChange_StartWithBasename,
   FilenameChange_AlwaysIncrement,
   FilenameChange_UseDate
};



//===========================================================================
//
// state, describing, what the program is currently doing

class ProgramState
{
public:
   bool b_PlayStarted;
   bool b_GlobalStop;
   bool b_CommandLineMode;
} ;

#define DEFAULT_SERVER_PORT 0x2626

#endif  // _BASEDEF_LOADED






